//
//  ViewController.m
//  QCExample
//
//  Created by Wan Ahmad Lutfi Wan Md Hatta on 6/03/15.
//  Copyright (c) 2015 bijokmind. All rights reserved.
//

#import "ViewController.h"
#import "CustomView.h"

@interface ViewController ()
@property (weak, nonatomic) IBOutlet CustomView *customView;

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (IBAction)animate:(id)sender {
    [self.customView addShowAnimationCompletionBlock:^(BOOL finished) {
        NSLog(@"animation completed");
    }];
}

- (IBAction)startReverseAnimation:(id)sender {
    [self.customView addShowAnimationReverse:YES totalDuration:3 endTime:1 completionBlock:^(BOOL finished) {
        NSLog(@"animation completed");
    }];
}



@end
