//
//  ViewController.m
//  QCExample 2
//
//  Created by Wan Ahmad Lutfi Wan Md Hatta on 12/03/15.
//  Copyright (c) 2015 bijokmind. All rights reserved.
//

#import "ViewController.h"
#import "FillView.h"

@interface ViewController ()
@property (weak, nonatomic) IBOutlet FillView *view1;
@property (weak, nonatomic) IBOutlet FillView *view2;
@property (weak, nonatomic) IBOutlet FillView *view3;

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}
- (IBAction)startAnimations:(id)sender {
    [self.view1 addFillAnimation];
    [self.view2 addFillAnimation];
    [self.view3 addFillAnimation];
}
- (IBAction)reverseAnimations:(id)sender {
    [self.view1 addFillAnimationReverse:YES totalDuration:1 endTime:1 completionBlock:nil];
    [self.view2 addFillAnimationReverse:YES totalDuration:2 endTime:1 completionBlock:nil];
    [self.view3 addFillAnimationReverse:YES totalDuration:3 endTime:1 completionBlock:nil];
}

- (IBAction)sliderChanged:(UISlider*)sender {
    [self.view1 setFillAnimProgress:sender.value];
    [self.view2 setFillAnimProgress:sender.value];
    [self.view3 setFillAnimProgress:sender.value];
}

@end
